Grants, vesting & distributions

Update Grant Configuration

Updates grant configuration fields and swaps or disconnects the exercise form file.

POSThttps://api.toku.com/tga/update-grant-configuration

Not available to API keys yet. It will need grants:write.

curl --request POST \
  --url 'https://api.toku.com/tga/update-grant-configuration' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "grantConfigurationID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "string",
  "kind": "RTU",
  "isExercisable": true,
  "isPerformance": true,
  "useStrike": true,
  "hasDiscountFMV": true,
  "redemptionHold": 0,
  "redemptionCap": 0,
  "redemptionLiftPeriod": 0,
  "grantAssetType": "TOKEN",
  "isCashCompensation": true,
  "exercisedOptionsPastTenseLabel": "string",
  "exercisedOptionsPresentTenseLabel": "string",
  "exercisedOptionActionLabel": "string",
  "exercisedOptionPotentialActionLabel": "string",
  "redemptionMethod": "cash",
  "coinMarketCapID": "string",
  "showLtipRedemptionProcessingAlert": true,
  "exerciseLockupMonths": 0,
  "optionExpiryYears": 0,
  "optionExerciseWindowDays": 0,
  "documentTabs": {
    "prefilledTextTabs": [
      {
        "type": "fullLegalName",
        "pageNumber": "string",
        "xPosition": "string",
        "yPosition": "string"
      }
    ],
    "bankTabs": [
      {
        "label": "string",
        "pageNumber": "string",
        "xPosition": "string",
        "yPosition": "string"
      }
    ],
    "signerTabs": [
      {
        "type": "signature",
        "pageNumber": "string",
        "xPosition": "string",
        "yPosition": "string",
        "isRecipient": true,
        "name": "string",
        "email": "string"
      }
    ]
  },
  "exerciseFormKey": "string",
  "exerciseFormFileID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "success": true,
  "errorMessage": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

grantConfigurationIDstring<uuid>required
namestringrequired

Allowed: 1 to 200 characters

kindstringrequired

Available options: RTU, RTA, TOKEN_BONUS, TPA, OPTION, WARRANT, LTIP, TSA, FTIA, PHANTOMUNITS, FOUNDERROUND, FTI, TOKENSUB, PERFORMANCE

isExercisablebooleanrequired
isPerformancebooleanrequired
useStrikeboolean
hasDiscountFMVboolean
redemptionHoldnumber
redemptionCapnumber

Allowed: at least 0

redemptionLiftPeriodinteger

Allowed: at least 0

grantAssetTypestring

Available options: TOKEN, FIAT

isCashCompensationboolean
exercisedOptionsPastTenseLabelstring

Allowed: at most 500 characters

exercisedOptionsPresentTenseLabelstring

Allowed: at most 500 characters

exercisedOptionActionLabelstring

Allowed: at most 500 characters

exercisedOptionPotentialActionLabelstring

Allowed: at most 500 characters

redemptionMethodstring

Available options: cash, units, both

coinMarketCapIDstring

Allowed: at most 100 characters

showLtipRedemptionProcessingAlertboolean
exerciseLockupMonthsinteger

Allowed: at least 0

optionExpiryYearsinteger

Allowed: at least 0

optionExerciseWindowDaysinteger

Allowed: at least 0

documentTabsobject | nullrequired
Show child attributes
prefilledTextTabsobject[]required
Show child attributes
typestringrequired

Available options: fullLegalName, exerciseDate, grantDate, exerciseDate, numberOfUnitsToRedeem, redemptionMethod

pageNumberstringrequired
xPositionstringrequired
yPositionstringrequired
bankTabsobject[]required
Show child attributes
labelstringrequired
pageNumberstringrequired
xPositionstringrequired
yPositionstringrequired
signerTabsobject[]required
Show child attributes
typestring

Available options: signature, initial, dateSigned

pageNumberstringrequired
xPositionstringrequired
yPositionstringrequired
isRecipientbooleanrequired
namestringrequired
emailstringrequired
exerciseFormKeystring | nullrequired

Allowed: at most 500 characters

exerciseFormFileIDstring | null<uuid>

Response

200Successful response
successbooleanrequired
errorMessagestring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits